Crazy Eddies GUI System: CEGUI::SequentialLayoutContainer Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions
CEGUI::SequentialLayoutContainer Class Reference

An abstract base class providing common functionality and specifying the required interface for derived classes. More...

Inheritance diagram for CEGUI::SequentialLayoutContainer:
[legend]
Collaboration diagram for CEGUI::SequentialLayoutContainer:
[legend]

List of all members.

## Public Member Functions
| SequentialLayoutContainer (const String &type, const String &name)
| Constructor for Window base class.
virtual | ~SequentialLayoutContainer (void)
| Destructor for Window base class.
size_t | getPositionOfChildWindow (Window *wnd) const
| Gets the position of given child window.
size_t | getPositionOfChildWindow (const String &wnd) const
| Gets the position of given child window.
Window * | getChildWindowAtPosition (size_t position) const
| Gets the child window that currently is at given position.
virtual void | swapChildWindowPositions (size_t wnd1, size_t wnd2)
| Swaps windows at given positions.
void | swapChildWindows (Window *wnd1, Window *wnd2)
| Swaps positions of given windows.
void | swapChildWindows (const String &wnd1, Window *wnd2)
| Swaps positions of given windows.
void | swapChildWindows (Window *wnd1, const String &wnd2)
| Swaps positions of given windows.
void | swapChildWindows (const String &wnd1, const String &wnd2)
| Swaps positions of given windows.
virtual void | moveChildWindowToPosition (Window *wnd, size_t position)
| Moves a window that is alrady child of thi layout container to given position (if the window is currently in a position that is smaller than given position, given position is automatically decremented.
void | moveChildWindowToPosition (const String &wnd, size_t position)
| Moves a window that is alrady child of thi layout container to given position (if the window is currently in a position that is smaller than given position, given position is automatically decremented.
void | moveChildWindow (Window *window, int delta=1)
| Moves a window forward or backward, depending on delta (-1 moves it backward one step, 1 moves it forward one step)
void | addChildWindowToPosition (Window *window, size_t position)
| Adds a window to given position.
void | addChildWindowToPosition (const String &window, size_t position)
| Adds a window to given position.
void | removeChildWindowFromPosition (size_t position)
| Removes a window from given position.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | EventChildWindowOrderChanged
| fired when child windows get rearranged
## Protected Member Functions
virtual void | onChildWindowOrderChanged (WindowEventArgs &e)
| Handler called when children of this window gets rearranged in any way.
virtual bool | testClassName_impl (const String &class_name) const

## Detailed Description

An abstract base class providing common functionality and specifying the required interface for derived classes.

Sequential Layout Container provide means for automatic positioning of windows in sequence

## Constructor & Destructor Documentation

CEGUI::SequentialLayoutContainer::SequentialLayoutContainer | ( | const String & | type,
|  | const String & | name
| ) |  |

Constructor for Window base class.

Parameters:

  type | String object holding Window type (usually provided by WindowFactory).
  name | String object holding unique name for the Window.

## Member Function Documentation

void CEGUI::SequentialLayoutContainer::moveChildWindow | ( | Window * | window,
|  | int | delta = `1`
| ) |  |

Moves a window forward or backward, depending on delta (-1 moves it backward one step, 1 moves it forward one step)

Parameters:

  delta | The amount of steps the window will be moved (old position + delta = new position)

virtual void CEGUI::SequentialLayoutContainer::onChildWindowOrderChanged | ( | WindowEventArgs & | e | ) | `[protected, virtual]`

Handler called when children of this window gets rearranged in any way.

Parameters:

  e | WindowEventArgs object whose 'window' field is set this layout container.

virtual bool CEGUI::SequentialLayoutContainer::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::LayoutContainer.

Reimplemented in CEGUI::HorizontalLayoutContainer, and CEGUI::VerticalLayoutContainer.

References CEGUI::LayoutContainer::testClassName_impl().